aboutsummaryrefslogtreecommitdiffhomepage
path: root/test
diff options
context:
space:
mode:
authorGravatar David Bremner <david@tethera.net>2014-01-23 08:23:59 -0400
committerGravatar David Bremner <david@tethera.net>2014-01-24 20:19:50 -0400
commit5c526d1737212dd736b1c3fedc6bf5b3493ce436 (patch)
treeca954ded565ae6af743e0529dd1eaa8e7757d3ed /test
parent5dd59d2a5e41320eb494cfdf39c3370c4a2beda4 (diff)
test: add known broken test exit code of notmuch show
This test catches a segfault on a syntactically invalid query. It also catches a problem with my initial fix, which still returned 0.
Diffstat (limited to 'test')
-rwxr-xr-xtest/T520-show.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/test/T520-show.sh b/test/T520-show.sh
new file mode 100755
index 00000000..bdd9d716
--- /dev/null
+++ b/test/T520-show.sh
@@ -0,0 +1,14 @@
+#!/usr/bin/env bash
+test_description='"notmuch show"'
+
+. ./test-lib.sh
+
+add_email_corpus
+
+test_begin_subtest "exit code for show invalid query"
+test_subtest_known_broken
+notmuch show foo..
+exit_code=$?
+test_expect_equal 1 $exit_code
+
+test_done